Subject: Re: bug#75362: 29.4; go-ts-mode.el: wrong indentation inside var list

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Jan 2025 15:02:11 +0200

> Cc: [email-masked], Roi Martin <[email-masked]>
> From: Yuan Fu <[email-masked]>
> Date: Tue, 7 Jan 2025 22:18:53 -0800
> 
> > The attached patch fixes it for me.<0001-Fix-go-ts-mode-var-spec-indentation-Bug-75362.patch>
> 
> Thanks Randy. Eli, should we apply this to emacs-30.

Is this backward-compatible to older grammars?  If yes, it's okay to
install on emacs-30.  If it is not compatible, I'd like to see how a
compatible patch will look before I decide.

> Also, what’s the general situation of grammar fixes on emacs-30? I’m asking because I fixed a grammar compatibility issue for cmake-ts-mode on master. I was going to back port it for 30.2, but it seems that simple fixes are ok for emacs-30?

Please tell the commit, and I will look at it.